import axios from 'axios';
// ----------------------列表-----------------------
const pageDictUrl = '/drinkingWater/drinkingWaterDict';
const listAllUrl = pageDictUrl + "";

// 添加
const saveDrinkingWaterDict = function (data) {
    return axios.post("/drinkingWater/drinkingWaterDict/",data)
}

// 删除
const removeDrinkingWaterDict = function (id) {
    return axios.delete(`/drinkingWater/drinkingWaterDict/${id}`,)
}
// 批量删除
const removeBatchDrinkingWaterDict = function (ids) {
    return axios.delete("/drinkingWater/drinkingWaterDict/batch",{data:ids})
}

// 修改
const updateDrinkingWaterDict = function (data) {
    return axios.put("/drinkingWater/drinkingWaterDict",data)
}

const getColumnOptions = function(column){
    return axios.get("/drinkingWater/drinkingWaterDict/options",{params:{column}})
}
const copyBatchPlace = function (data){
    return axios.post("/drinkingWater/drinkingWaterDict/copyBatch",data)
}

export {
    pageDictUrl,
    listAllUrl,
    saveDrinkingWaterDict,
    removeDrinkingWaterDict,
    removeBatchDrinkingWaterDict,
    updateDrinkingWaterDict,
    getColumnOptions,
    copyBatchPlace
}